/***
 * AOKell
 * Copyright (C) 2005-2006 INRIA, France Telecom
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * Contact: Lionel.Seinturier@lifl.fr
 *
 * Author: Lionel Seinturier
 */

package hw;

/**
 * This class launches the five different versions of the Fractal Hello World
 * application.
 * 
 * @author Lionel Seinturier <Lionel.Seinturier@lifl.fr>
 */
public class Main {

    public static void main(String[] args) throws Exception {
        
        System.err.println("===================================================");
        System.err.println("==== Hello World with the API                  ====");
        System.err.println("===================================================");
        cs.Main.main(args);

        System.err.println();
        System.err.println("===================================================");
        System.err.println("==== Hello World with the ADL                  ====");
        System.err.println("===================================================");
        csadl.Main.main(args);
        
        System.err.println();
        System.err.println("===================================================");
        System.err.println("==== Hello World with the API and the JL style ====");
        System.err.println("===================================================");
        cssep.Main.main(args);
        
        System.err.println();
        System.err.println("===================================================");
        System.err.println("==== Hello World with the API and templates    ====");
        System.err.println("===================================================");
        cstemplate.Main.main(args);
        
        System.err.println();
        System.err.println("===================================================");
        System.err.println("==== Hello World with the ADL and templates    ====");
        System.err.println("===================================================");
        cstemplateadl.Main.main(args);
        
    }
}
